Bug 131436 - [CSS Blending] Changing isolation CSS property should not trigger repaint in RenderStyle::changeRequiresLayerRepaint
Summary: [CSS Blending] Changing isolation CSS property should not trigger repaint in ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 132567
Blocks: 95614
  Show dependency treegraph
 
Reported: 2014-04-09 06:36 PDT by Ion Rosca
Modified: 2014-05-08 01:17 PDT (History)
8 users (show)

See Also:


Attachments
Patch (7.28 KB, patch)
2014-05-05 06:55 PDT, Ion Rosca
no flags Details | Formatted Diff | Diff
Patch (7.46 KB, patch)
2014-05-06 07:29 PDT, Ion Rosca
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ion Rosca 2014-04-09 06:36:38 PDT
Changing isolation CSS property should not trigger repaint in RenderStyle::changeRequiresLayerRepaint.
This is not necessary because this property will possibly change if the layer is stacking context or not. And this stacking context state will trigger repaint if required.
Comment 1 Ion Rosca 2014-05-05 06:55:52 PDT
Created attachment 230827 [details]
Patch
Comment 2 Ion Rosca 2014-05-06 07:29:13 PDT
Created attachment 230906 [details]
Patch
Comment 3 Dirk Schulze 2014-05-08 00:42:23 PDT
Comment on attachment 230906 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2014-05-08 01:17:03 PDT
Comment on attachment 230906 [details]
Patch

Clearing flags on attachment: 230906

Committed r168465: <http://trac.webkit.org/changeset/168465>
Comment 5 WebKit Commit Bot 2014-05-08 01:17:06 PDT
All reviewed patches have been landed.  Closing bug.